EMACSCLIENT(1)

NAME
emacsclient - tells a running Emacs to visit a file

SYNOPSIS
emacsclient [options] files ...

DESCRIPTION
This manual page documents briefly the emacsclient command. This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page. Instead, it has documentation in the GNU Info format; see below.

emacsclient works in conjunction with the built-in server of Emacs.

You typically does not call emacsclient directly. Instead, you set the environment variable EDITOR to emacsclient and let programs like 'vipw' or 'bug' or anything run it for you, which will use an existing Emacs to visit the file. For emacsclient to work, you need an already running Emacs with a server. Within Emacs, call the function `server-start'. (Your `.emacs' file can do this automatically if you add the expression `(server-start)' to it.) When you've finished editing the buffer, type `C-x #' (`server-edit'). This saves the file and sends a message back to the `emacsclient' program telling it to exit. The programs that use `EDITOR' wait for the "editor" (actually, `emacsclient') to exit. `C-x #' also checks for other pending external requests to edit various files, and selects the next such file. If you set the variable `server-window' to a window or a frame, `C-x #' displays the server buffer in that window or in that frame.

OPTIONS
The programs follow the usual GNU command line syntax, with long options starting with two dashes (`-').

-n, --no-wait
    returns immediately without waiting for you to "finish" the buffer in Emacs.

SEE ALSO
The program is documented fully in Using Emacs as a Server available via the Info system.

BUGS
If there is no running Emacs server, emacsclient cannot launch one. I use a small Perl script instead of raw emacsclient to do it (it works only with systems which have BSD sockets, which is fine for Debian GNU/Linux).

AUTHOR
This manual page was written by Stephane Bortzmeyer <bortzmeyer@debian.org>, for the Debian GNU/Linux system (but may be used by others).

COPYING
This manual page is in the public domain.